Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar
Class SequenceFormatManager

    java.lang.Object
      org.kemet.impl.grammar.SequenceFormatManager

All Implemented Interfaces:
  IGlobals, ISequence

Deprecated. (to replace by TransliterationManager and HieroglyphManager)

    public class SequenceFormatManager

extends java.lang.Object
implements IGlobals, ISequence

Since:
  0.2
Author:
  fabricemaupin

  Sequence Format Manager : manage the format of a sequence.

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Fields inherited from interface org.kemet.impl.grammar.model.ISequence
`primarySequence`

Constructor Summary
`SequenceFormatManager(java.lang.String[] sequence)` Deprecated. initialize the sequence manager.
`SequenceFormatManager(java.lang.String[] sequence, int choice, java.util.HashMap args)` Deprecated. initialize the sequence manager.

Method Summary
`int` | `getCurrentIndex()` Deprecated. return the current index.
`java.lang.String` | `getFormat()` Deprecated. generate the detailed grammatical sequence from a complete sequence composed of signList.
`java.lang.String` | `getFormatForSequence(int sequenceIndex)` Deprecated. generate the detailed grammatical sequence for a particular sequence composed of signList.
`java.lang.String[]` | `getListFormat()` Deprecated. generate the detailed grammatical sequence from several complete sequences composed of signList.
`java.lang.String[]` | `getListSequenceFormat()` Deprecated. return list of detailed sequence.
`java.lang.String[]` | `getListSigns()` Deprecated. return the list of signs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFormatManager

    public SequenceFormatManager(java.lang.String[] sequence)

  Deprecated.

  initialize the sequence manager.

  Parameters:
    `sequence` - list of sequence to analyse
  Since:
    0.2

### SequenceFormatManager

    public SequenceFormatManager(java.lang.String[] sequence,
                                 int choice,
                                 java.util.HashMap args)
                          throws KemetAPIException

  Deprecated.

  initialize the sequence manager.

  Parameters:
    `sequence` - list of sequence to analyse
    `choice` - action to do
    `args` - parameters initialized for the grammar manager
  Throws:
    `KemetAPIException` - action list : ANALYSE_FROM_SIGNS = analyze hieroglyphic features which are implemented in the sequence see KEMET_DATA : AssociatedProcToSFItems.xml file see DeveloperGuide : "first step : how to configure the KEMET Library ?"
  Since:
    0.2

Method Detail

### getFormat

    public java.lang.String getFormat()

  Deprecated.

  generate the detailed grammatical sequence from a complete sequence composed of signList.

  support : UNILITERAL BILITERAL

  Returns:
    detailed grammatical sequence
  Since:
    0.1

### getListFormat

    public java.lang.String[] getListFormat()

  Deprecated.

  generate the detailed grammatical sequence from several complete sequences composed of signList.

  support : UNILITERAL BILITERAL

  Returns:
    list of detailed grammatical sequence
  Since:
    0.2

### getFormatForSequence

    public java.lang.String getFormatForSequence(int sequenceIndex)

  Deprecated.

  generate the detailed grammatical sequence for a particular sequence composed of signList.

  support : UNILITERAL BILITERAL

  Parameters:
    `sequenceIndex` - index of sequence in complete sequence
  Returns:
    detailed grammatical sequence
  Since:
    0.2

### getListSequenceFormat

    public java.lang.String[] getListSequenceFormat()

  Deprecated.

  return list of detailed sequence.

  Returns:
    list of detailed sequence
  Since:
    0.1

### getCurrentIndex

    public int getCurrentIndex()

  Deprecated.

  return the current index.

  Returns:
    current index
  Since:
    0.1

### getListSigns

    public java.lang.String[] getListSigns()

  Deprecated.

  return the list of signs.

  Returns:
    list of signs
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.